Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interactive
  Definition Classes
    nsc
-  object Pickler
  Definition Classes
    interactive
- TildeDecorator
- UnpickleFailure
- UnpickleSuccess
- Unpickled
- ~

c

scala.tools.nsc.interactive.Pickler

# UnpickleFailure

###

#### class UnpickleFailure extends Unpickled[Nothing]

A class representing unpickle failures

Source
  Pickler.scala

Linear Supertypes
Unpickled[Nothing], AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. UnpickleFailure
2. Unpickled
3. AnyRef
4. Any

Implicitly

1. by TildeDecorator
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new UnpickleFailure(msg: => String, rd: Lexer)

   msg

     an error message describing what failed.

   rd

     the lexer unpickled values were read from (can be used to get error position, for instance).

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from UnpickleFailure toany2stringadd[UnpickleFailure] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (UnpickleFailure, B)
   Implicit
     This member is added by an implicit conversion from UnpickleFailure toArrowAssoc[UnpickleFailure] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (UnpickleFailure) => Boolean, msg: => Any): UnpickleFailure
   Implicit
     This member is added by an implicit conversion from UnpickleFailure toEnsuring[UnpickleFailure] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (UnpickleFailure) => Boolean): UnpickleFailure
   Implicit
     This member is added by an implicit conversion from UnpickleFailure toEnsuring[UnpickleFailure] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): UnpickleFailure
    Implicit
      This member is added by an implicit conversion from UnpickleFailure toEnsuring[UnpickleFailure] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): UnpickleFailure
    Implicit
      This member is added by an implicit conversion from UnpickleFailure toEnsuring[UnpickleFailure] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def errMsg: String
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def flatMap[U](f: (Nothing) => Unpickled[U]): Unpickled[U]

    Transforms success values to successes or failures using given function, leaves failures alone.

    Transforms success values to successes or failures using given function, leaves failures alone.

    f

      the function to apply.

    Definition Classes
      Unpickled
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from UnpickleFailure toStringFormat[UnpickleFailure] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  def map[U](f: (Nothing) => U): Unpickled[U]

    Transforms success values to success values using given function, leaves failures alone

    Transforms success values to success values using given function, leaves failures alone

    f

      the function to apply.

    Definition Classes
      Unpickled
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def orElse[U >: Nothing](alt: => Unpickled[U]): Unpickled[U]

    Tries alternate expression if current result is a failure

    Tries alternate expression if current result is a failure

    alt

      the alternate expression to be tried in case of failure

    Definition Classes
      Unpickled
26.  val rd: Lexer
27.  def requireSuccess: UnpickleSuccess[Nothing]

    Transforms failures into thrown `MalformedInput` exceptions.

    Transforms failures into thrown `MalformedInput` exceptions.

    Definition Classes
      Unpickled
    Exceptions thrown

      `MalformedInput` if current result is a failure

28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      UnpickleFailure → AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
33.  def ~[T](y: T): ~[UnpickleFailure, T]

    Infix method that forms a `~`-pair.

    Infix method that forms a `~`-pair.

    Implicit
      This member is added by an implicit conversion from UnpickleFailure toTildeDecorator[UnpickleFailure] performed by method TildeDecorator in scala.tools.nsc.interactive.Pickler.
    Definition Classes
      TildeDecorator

### Deprecated Value Members

1.  def →[B](y: B): (UnpickleFailure, B)
   Implicit
     This member is added by an implicit conversion from UnpickleFailure toArrowAssoc[UnpickleFailure] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Unpickled[Nothing]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion TildeDecorator fromUnpickleFailure to TildeDecorator[UnpickleFailure]

### Inherited by implicit conversion any2stringadd fromUnpickleFailure to any2stringadd[UnpickleFailure]

### Inherited by implicit conversion StringFormat fromUnpickleFailure to StringFormat[UnpickleFailure]

### Inherited by implicit conversion Ensuring fromUnpickleFailure to Ensuring[UnpickleFailure]

### Inherited by implicit conversion ArrowAssoc fromUnpickleFailure to ArrowAssoc[UnpickleFailure]

### Ungrouped